#### PyKDE - Python Bindings for KDE

# class konsoleFactory |
Table of contents
Modules
kparts Classes
All Classes

Module | kparts
Class | konsoleFactory
Inherits | KParts.Factory

### methods

- createPartObject (parentWidget = 0, widgetName = 0, parent = 0, name = 0, classname = "KParts.Part", args = QStringList ())

  returns (KParts.Part)
  Argument | Type | Default
  --- | --- | ---
  parentWidget | QWidget | 0
  widgetName | char | 0
  parent | QObject | 0
  name | char | 0
  classname | char | "KParts.Part"
  args | QStringList | QStringList ()

- instance ()

  returns (KInstance)
  static

- konsoleFactory ()

  returns a konsoleFactory instance